new error building jdk14

Sean McNeil sean at mcneil.com
Fri Nov 4 11:46:42 PST 2005


On Fri, 2005-11-04 at 11:40 -0800, Richard Schilling wrote:
> I've been having quit a bit of difficulty getting jdk14 built on my new 
> machine.  I think this is a heretofore unreported error.
> 
> uname -a output:
> 
> FreeBSD new.cognitiongroup.biz 5.4-RELEASE FreeBSD 5.4-RELEASE #0: Sun 
> May  8 07:00:26 UTC 2005 
> root at portnoy.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC  amd64

So you have an AMD64 machine.

I do not see how you could possibly build 1.4 on an amd64 machine.  It
is marked as i386 only and doesn't work.  There is something wrong with
either your setup or your ports collection.

For amd64, you must use java 1.5.  This is the only version available
for that platform.  I have been using jdk1.5 for a long time now and it
works very well for me.

Also, you should consider moving to 6-current.  5.4 has issues with the
linux emulation that cause building jdk1.5 a bit of a headache.  There
are no such issues with 6-current.

Cheers,
Sean




More information about the freebsd-java mailing list